Subject: RE: Simplification for UNNUM draft.

From: "Kullberg, Alan" <[email-masked]>
Date: Mon, 29 Oct 2001 17:05:48 -0500

Yakov & George,

I don't like this suggested change.  See reasoning below.

Alan

> -----Original Message-----
> From: Yakov Rekhter [mailto:[email-masked]]
> Sent: Monday, October 29, 2001 11:36 AM
> To: George Swallow
> Cc: [email-masked]
> Subject: Re: Simplification for UNNUM draft. 
> 
> 
> George,
> 
> > draft-ietf-mpls-rsvp-unnum-02.txt allows both the normal HOP and the
> > IF_ID Hop object to be used on an unnumbered link.  This leads to
> > unnecessary cases and extra checking at the incoming interface.

George's reasoning for making the following change is the above sentence.

> > I suggest the following modifications:
> > 
> > a) mandate that one always use the IF_ID HOP object on an unnumbered
> >    link.
> > 
> > b) pop the unnumbered interface subobject off of the ERO before
> >    forwarding the Path message over the unnumbered link (the
> >    information is now in the PHOP
> 
> May I also suggest that we change the semantics of the Unnumbered
> Interface ID subobject in the ERO from:
> 
>    The Interface ID is the outgoing interface identifier with 
> respect to
>    the LSR specified by the router ID.
> 
> to
> 
>    The Interface ID is the incoming interface identifier with 
> respect to
>    the LSR specified by the router ID.
> 
> Yakov.

> George replies:
>
> That would be fine.  In fact in that case, the upstream router would
> not have to pop off the subobject, since the next node would receive a
> an ero which has a valid first object.
>
> ...George

By not popping the subobject off, the receiver of the PATH must do some
"extra checking at the incoming interface" because the IF_ID must be
validated to refer to the same interface.  In this case, the IF_ID is
from the sender's perspective and the UI.interface_id is from the
receiver's perspective, which I think is worse than before for cross-
checking.

In addition, Yakov's change affects Explicit Label Control at the Egress
node.  Let's say the egress node is node B, and there is an unnumbered
interface from B to a node C.  OSPF is not running between B and C,
C doesn't have a Router ID, and B doesn't know what C's unnumbered ID
is.  This makes it impossible to use the ERO to specify the Explicit
Labels between B and C when that interface is unnumbered.

---

From: Yakov Rekhter <[email-masked]>
Date: Tue, 30 Oct 2001 05:45:20 -0800

Alan,

> I don't like this suggested change.  See reasoning below.

Actually the change I suggested wasn't exactly what I have in
mind. What I have in mind is to have the Interface ID being the
interface identifier assigned to the interface by the LSR specified
by the router ID. 

Yakov.

P.S. Sorry for the confusion...